@echo off
cd files

adb kill-server
adb start-server

echo =============================================
echo Step1 : Waiting for Device.
echo =============================================
adb wait-for-device
echo OK
echo.

echo =============================================
echo Step2 : Sending some files.
echo =============================================
adb shell "mkdir /data/local/tmp/em"
adb push custom_settings.xml /data/local/tmp/em
adb push gps.conf /data/local/tmp/em
adb push build.prop /data/local/tmp/em
adb push apns-conf.xml /data/local/tmp/em
adb push sh /data/local/tmp/em
adb push step3.sh /data/local/tmp/em

echo.
echo =============================================
echo Step3 : Setting up files system partition.
echo =============================================
adb shell "chmod 755 /data/local/tmp/em/sh"
adb shell "chmod 755 /data/local/tmp/em/step3.sh"
adb shell "su -c /data/local/tmp/em/step3.sh"
adb shell "rm -r /data/local/tmp/em"

adb kill-server

echo.
echo Finished!
echo.

pause